Subject: iSCSI: text negotiation information

From: "Eddy Quicksall" <[email-masked]>
Date: Mon, 8 Oct 2001 15:36:10 -0400

Section 2.4.2 says:

 Target requests are not limited to matching key=value pairs
 as offered by the initiator.

Exactly what does "matching key=value pairs" mean? It probably means
matching keys not matching keys and values both. I assume this sentence
means the target can request keys that were not offered by the initiator. If
so, can we change the text to make that more clear (or make more clear what
it really means).

It further says:

 However, only the initiator can initiate the negotiation start
 (through the first Text request) and completion (by setting to 1 and
 keeping to 1 the F bit in a Text request).

I wonder if this sentence is really needed (because this fact is already
given in other paragraphs). If not, can we remove them? Its placement can
make one think that a target can't be an originator.

[email-masked]